[systemd-commits] test/TEST-01-BASIC
Kay Sievers
kay at kemper.freedesktop.org
Thu May 24 07:05:02 PDT 2012
test/TEST-01-BASIC/test.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
New commits:
commit 7b17d413b11bfbdb4442c87b1db25b37ed5162ac
Author: Harald Hoyer <harald at redhat.com>
Date: Thu May 24 16:00:33 2012 +0200
test/TEST-01-BASIC: only test systemd-nspawn, if the test system uses systemd
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
index ca8a5ee..22517a8 100755
--- a/test/TEST-01-BASIC/test.sh
+++ b/test/TEST-01-BASIC/test.sh
@@ -43,7 +43,9 @@ run_nspawn() {
test_run() {
run_qemu || return 1
- run_nspawn || return 1
+ if [[ -d /sys/fs/cgroup/systemd ]]
+ run_nspawn || return 1
+ fi
return 0
}
More information about the systemd-commits
mailing list